petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMAdaptationStrategy

Describes the strategy used for adaptive solves

### Synopsis

    typedef enum {DM_ADAPTATION_INITIAL, DM_ADAPTATION_SEQUENTIAL, DM_ADAPTATION_MULTILEVEL} DMAdaptationStrategy;

DM_ADAPTATION_INITIAL will refine a mesh based on an initial guess. DM_ADAPTATION_SEQUENTIAL will refine the mesh based on a sequence of solves, much like grid sequencing. DM_ADAPTATION_MULTILEVEL will use the sequence of constructed meshes in a multilevel solve, much like the Systematic Upscaling of Brandt.

### See Also

DMAdaptorSolve()

### Level

beginner

### Location

src/dm/../../include/petscdmtypes.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages